import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/itsyaboichase/c7d7b49186b7b4d20482e7f5ffc41415/raw/27b496972e8fa180402822e1328c57ae8d2ca24b/pm2.5';

export const useData = () => {
	const [data, setData] = useState(null);
  
  useEffect(() => {
    let max = 0;
    let min = 20;
    
    const row = d => {
      for (const property in d) {
      	if (property === "id")
          continue;
        if (+d[property] > max) {
        	max = +d[property];
        }
        if (+d[property] < min) {
        	min = +d[property];
        }
      }
    	return d;
    }
  	csv(csvUrl, row).then((res) => {
      res.max = max;
      res.min = min;
      setData(res);
    });
  }, []);
  
  return data;
}